/*
 * Live-update changed settings in real time in the Customizer preview.
 */
( function( $, wp ) {
	"use strict";

	// Site title
	wp.customize( "blogname", function( value ) {
		value.bind( function( to ) {
			$( ".no-custom-logo .site-identity a" ).text( to );
		} );
	} );

	// Page border
	wp.customize( "page_border", function( value ) {
		value.bind( function( to ) {
			if ( to ) {
				$( "body" ).removeClass( "no-page-border" ).addClass( "page-border" );
			} else {
				$( "body" ).removeClass( "page-border" ).addClass( "no-page-border" );
			}
		} );
	} );

	// Show search form in header
	wp.customize( "primary_menu_has_search", function( value ) {
		value.bind( function( to ) {
			if ( to ) {
				$( ".main-navigation .menu-item-search" ).removeClass( 'screen-reader-text' );
			} else {
				$( ".main-navigation .menu-item-search" ).addClass( 'screen-reader-text' );
			}
		} );
	} );

	// Show color scheme button in header
	wp.customize( "allow_alt_colors", function( value ) {
		value.bind( function( to ) {
			if ( to ) {
				$( ".main-navigation .menu-item-scheme" ).removeClass( 'screen-reader-text' );
			} else {
				$( ".main-navigation .menu-item-scheme" ).addClass( 'screen-reader-text' );
			}
		} );
	} );

	// Show color scheme button in header
	wp.customize( "cart_in_menu", function( value ) {
		value.bind( function( to ) {
			if ( to ) {
				$( ".main-navigation .menu-item-cart" ).removeClass( 'screen-reader-text' );
			} else {
				$( ".main-navigation .menu-item-cart" ).addClass( 'screen-reader-text' );
			}
		} );
	} );

} ) ( jQuery, wp );
