<?php
/**
 * The template for displaying comments
 *
 * This area of the page contains both current comments
 * and the comment form.
 *
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}

?>

<div id="comments">
	<?php if ( have_comments() ) : ?>

	<h3 class="comments-title">
		<?php
		/* translators: 1: number of comments */
		printf( esc_html__( 'Comments (%s)', 'katerina' ), intval( number_format_i18n( get_comments_number() ) ) );
		?>
	</h3>

	<ol class="comment-list<?php echo esc_attr( get_option( 'show_avatars', true ) ? '' : ' no-avatars' ); ?>">
		<?php
		wp_list_comments(
			array(
				'callback' => 'katerina_comments_callback',
			)
		);
		?>
	</ol>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav class="navigation comment-navigation">
			<h3 class="screen-reader-text"><?php esc_html_e( 'Comments navigation', 'katerina' ); ?></h3>
			<div class="nav-links">
				<div class="nav-previous">
					<?php previous_comments_link( katerina_get_svg( 'arrow-' . ( is_rtl() ? 'right' : 'left' ) ) . esc_html__( 'Older Comments', 'katerina' ) ); ?>
				</div>
				<div class="nav-next">
					<?php next_comments_link( esc_html__( 'Newer Comments', 'katerina' ) . katerina_get_svg( 'arrow-' . ( is_rtl() ? 'left' : 'right' ) ) ); ?>
				</div>
			</div>
		</nav>
		<?php endif; // check for comment navigation ?>

	<?php endif; // Check for have_comments(). ?>

	<?php if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) : ?>

		<p class="no-comments alert"><?php esc_html_e( 'Comments are closed.', 'katerina' ); ?></p>

	<?php endif; ?>

	<?php
	comment_form(
		array(
			'title_reply_before' => '<h3 id="reply-title" class="comment-reply-title">',
			'title_reply_after'  => '</h3>',
		)
	);
	?>

</div>
