<?php
/**
 * The template for displaying the footer.
 */

$no_footer_override = false;
$content_style      = '';

global $wp_query;
if ( $wp_query->is_singular ) {
	$katerina_current_post_id = $wp_query->queried_object_id;
} elseif ( is_home() && ! is_front_page() ) {
	$katerina_current_post_id = get_option( 'page_for_posts' );
} elseif ( class_exists( 'WooCommerce' ) && is_shop() ) {
	$katerina_current_post_id = get_option( 'woocommerce_shop_page_id' );
}

if ( isset( $katerina_current_post_id ) ) {
	$no_footer_override = get_post_meta( $katerina_current_post_id, 'no_footer', true );
	$content_style = get_post_meta( $katerina_current_post_id, 'content_style', true );
}
?>

<?php do_action( 'katerina_footer_before' ); ?>

<?php
if ( ( empty( $content_style ) || 'hide' !== $content_style ) && ! is_404() ) {
	get_template_part( 'template-parts/footer/gallery' );
}
?>

<?php if ( ! $no_footer_override && is_active_sidebar( 'footer' ) && ! is_404() ) : ?>
	<footer class="site-footer">
		<?php
		get_template_part( 'template-parts/footer/scroll-top' );
		get_template_part( 'template-parts/footer/widgets' );
		?>
	</footer>
<?php endif; ?>

<?php do_action( 'katerina_footer_after' ); ?>

<?php wp_footer(); ?>
</body>
</html>
