<?php
/**
 * The template for displaying the header.
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<link rel="profile" href="https://gmpg.org/xfn/11">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

	<?php
	if ( function_exists( 'wp_body_open' ) ) {
		wp_body_open();
	}
	?>

	<?php get_template_part( 'template-parts/header/skip-content' ); ?>
	<?php get_template_part( 'template-parts/hero/featured' ); ?>
	<?php do_action( 'katerina_header_before' ); ?>

	<header id="top-header" class="site-header">
		<?php do_action( 'katerina_header_inner_before' ); ?>
		<div class="wrapper">
			<?php get_template_part( 'template-parts/header/site', 'branding' ); ?>
			<?php get_template_part( 'template-parts/navigation/navigation', 'primary' ); ?>
		</div>
		<?php do_action( 'katerina_header_inner_after' ); ?>
	</header>

	<?php do_action( 'katerina_header_after' ); ?>
