<?php
/**
 * Image Gallery Customizer Control
 */
class Customize_Image_Gallery_Control extends WP_Customize_Control {
	public $type = 'gallery';

	public function enqueue() {
		$katerina_theme_version  = wp_get_theme()->get( 'Version' );
		wp_enqueue_media();
		wp_enqueue_script( 'katerina-customize-image-gallery', get_template_directory_uri() . '/inc/customizer/image-gallery/image-gallery.js', array( 'jquery', 'jquery-ui-sortable' ), $katerina_theme_version, true );
		wp_enqueue_style( 'katerina-customize-image-gallery', get_template_directory_uri() . '/inc/customizer/image-gallery/image-gallery.css', array(), $katerina_theme_version );
	}

	public function render_content() {
		$attachments = $this->value();
		if ( ! is_array( $attachments ) ) {
			$attachments = array();
		}
		?>
		<div class="customize-control-content">
			<?php if ( isset( $this->label ) && '' !== $this->label ) : ?>
				<label><span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span></label>
			<?php endif; ?>
			<input type="hidden" value="<?php echo esc_attr( $this->value() ); ?>" <?php $this->link(); ?>  />
			<div class="attachment-media-view">
				<button type="button" class="upload-button button-add-media" data-frame-title="<?php esc_attr_e( 'Select images', 'katerina' ); ?>" data-frame-button="<?php esc_attr_e( 'Update', 'katerina' ); ?>"><?php esc_html_e( 'Select images', 'katerina' ); ?></button>
			</div>
			<ul class="image-gallery-attachments">
				<?php foreach (	$attachments as $attachment ) : ?>
				<li data-id="<?php echo esc_attr( $attachment ); ?>">
					<?php echo wp_kses_post( wp_get_attachment_image( $attachment, 'thumbnail', false, array( 'loading' => false ) ) ); // escapted by WP ?>
				</li>
				<?php endforeach; ?>
			</ul>
			<?php if ( isset( $this->description ) && '' !== $this->description ) : ?>
				<span class="description customize-control-description"><?php echo esc_html( $this->description ); ?></span>
			<?php endif; ?>
		</div>
		<?php
	}
}
