
jQuery( document ).ready( function( $ ) {
	"use strict";
	var file_frame;

	jQuery( '.customize-control-gallery' ).each( function() {

		var $parent = jQuery( this ), $input = $parent.find( 'input[type=hidden]' ), $list = $parent.find( '.image-gallery-attachments' );
		jQuery( 'li a', this ).on( 'click', function( e ) {
			e.preventDefault();
			jQuery( '.upload-button', $parent ).triggerHandler( 'click' );
		});

		jQuery( '.upload-button', this ).on( 'click', function( e ) {
			e.preventDefault();
			if ( ! file_frame ) {
				file_frame = wp.media({
					title: jQuery( this ).data( 'frame-title' ),
					button: {
						text: jQuery( this ).data( 'frame-button' )
					},
					multiple: true,
					library: {
						type: 'image'
					}
				});

				file_frame.on( 'select', function() {
					var selected = file_frame.state().get( 'selection' ).toJSON(), ids = [], new_items = '';
					for ( var i = 0; i < selected.length; i++ ) {
						ids.push( selected[i].id );
						new_items += '<li data-id="' + selected[i].id + '"><img src="' + selected[i].sizes.thumbnail.url + '"></li>';
					}
					$list.html( new_items );
					$input.val( ids ).trigger( 'change' );
				});

				file_frame.on( 'open', function() {
					var selection = file_frame.state().get('selection');
					var ids = $input.val();
					if ( ids.length > 0 ) {
						var ids = ids.split(',');
						ids.forEach( function( id ) {
							var attachment = wp.media.attachment( id );
							attachment.fetch();
							selection.add( attachment ? [attachment] : [] );
						});
					}
				});
			}

			file_frame.open();
		} );

		$list.sortable( {
			items: '> li',
			opacity: 0.6,
			distance: 3,
			cursor: 'move',
			delay: 150,
			tolerance: 'pointer',
			scroll: false,
			update: function( e, ui ) {
				var ids = [];
				jQuery( 'li', $list ).each( function() {
						ids.push( $( this ).data( 'id' ) );
				});
				$input.val( ids ).trigger( 'change' );
				$list.sortable( 'refreshPositions' );
			}
		} ).disableSelection();

	} );
});