<?php
/**
 * The main template file.
 */

get_header();

$listing_style = get_theme_mod( 'listing_style', false );
if ( is_search() ) {
	$listing_style = '';
}
?>

<?php get_template_part( 'template-parts/header/post-title' ); ?>

<div id="content" class="site-content">
	<div class="wrapper">
		<div class="entry-content">
			<div class="default-max-width">
				<div class="posts-listing<?php echo esc_attr( $listing_style ? ' style-' . $listing_style : '' ); ?>">
					<?php
					if ( have_posts() ) {
						while ( have_posts() ) {
							the_post();
							get_template_part( 'template-parts/post/listing-content', get_post_format() );
						}
					} else {
						// No results, display a 'Not Found' message
						get_template_part( 'template-parts/post/listing-content', 'none' );
					}
					?>
				</div>
				<?php katerina_pagination_links(); ?>
			</div>
		</div>

		<?php get_sidebar(); ?>
	</div>
</div>

<?php
get_footer();
