<?php
/**
 * The template for displaying all single posts.
 */

get_header();

$content_style = get_post_meta( get_the_ID(), 'content_style', true );
if ( empty( $content_style ) || 'hide' !== $content_style ) :
	get_template_part( 'template-parts/header/post-title', 'single' );
	?>

	<div id="content" class="site-content">
		<div class="wrapper">
			<?php
			$katerina_custom_types = array_keys(
				get_post_types(
					array(
						'_builtin' => false,
					)
				)
			);

			while ( have_posts() ) {
				the_post();

				// Get current post type
				$katerina_current_post_type = get_post_type();

				// Check if this is a custom post type
				if ( $katerina_current_post_type && in_array( $katerina_current_post_type, $katerina_custom_types ) ) {
					// Show special template part for custom post type (can be added in child theme easily)
					get_template_part( 'template-parts/post/content-single', $katerina_current_post_type );
				} else {
					get_template_part( 'template-parts/post/content-single', get_post_format() );
				}
			}

			get_sidebar();
			?>
		</div>
	</div>
	<?php
endif;

get_footer();
