<?php
/**
 * Displays footer gallery.
 */

if ( 0 === get_theme_mod( 'footer_gallery_active', 0 ) ) {
	return;
}

$gallery_ids         = get_theme_mod( 'footer_gallery_list', false );
$gallery_intro       = get_theme_mod( 'footer_gallery_intro', false );
$gallery_subtitle    = get_theme_mod( 'footer_gallery_subtitle', false );
$gallery_outro       = get_theme_mod( 'footer_gallery_outro', false );
$gallery_link        = get_theme_mod( 'footer_gallery_link', '' );
$gallery_link_target = ( 0 !== get_theme_mod( 'footer_gallery_link_target', 1 ) ? ' target="_blank"' : '' );
$gallery_no_images   = ( $gallery_ids ? ' no-items-' . count( $gallery_ids ) : '' );
?>

<footer class="site-footer-gallery<?php echo esc_attr( $gallery_no_images ); ?>">
	<div class="wrapper parallax-hover-children">
		<?php if ( $gallery_intro ) : ?>
		<a href="<?php echo esc_url( $gallery_link ); ?>"<?php echo wp_kses_post( $gallery_link_target ); ?> class="intro-gallery">
			<span class="intro-gallery-title"><?php echo wp_kses_post( $gallery_intro ); ?></span>
			<?php if ( $gallery_subtitle ) : ?>
			<span class="intro-gallery-subtitle"><?php echo wp_kses_post( $gallery_subtitle ); ?></span>
			<?php endif; ?>
		</a>
		<?php endif; ?>
		<?php if ( $gallery_ids ) : ?>
			<?php foreach ( $gallery_ids as $attach_id ) : ?>
			<div class="gallery-photo">
				<a href="<?php echo esc_url( $gallery_link ); ?>"<?php echo wp_kses_post( $gallery_link_target ); ?>><?php echo wp_get_attachment_image( $attach_id, 'large' ); // escapted by WP ?></a>
			</div>
			<?php endforeach; ?>
		<?php endif; ?>
		<?php if ( $gallery_outro ) : ?>
			<a href="<?php echo esc_url( $gallery_link ); ?>"<?php echo wp_kses_post( $gallery_link_target ); ?> class="outro-gallery"><span><?php echo wp_kses_post( $gallery_outro ); ?></span></a>
		<?php endif; ?>
	</div>
</footer>
