<?php
/**
 * The template for displaying page titles
 */

$content_style = get_post_meta( get_the_ID(), 'content_style', true );
if ( empty( $content_style ) ) :
	?>

	<header id="header-title" class="page-title">
		<div class="wrapper">
			<?php
			the_title( '<h1 class="entry-title display">', '</h1>' );
			$title_tagline = get_post_meta( $post->ID, 'title_tagline', true );
			if ( ! empty( $title_tagline ) ) :
				?>
				<div class="tagline"><?php echo wp_kses_post( do_shortcode( $title_tagline ) ); ?></div>
				<?php
			endif;

			if ( 'post' === get_post_type() ) :

				$katerina_separate_meta   = '<span>' . esc_html__( ', ', 'katerina' ) . '</span>';
				$katerina_tags_list       = get_the_tag_list( '', $katerina_separate_meta );
				$katerina_categories_list = get_the_category_list( $katerina_separate_meta );
				?>
				<div class="entry-header">
					<span class="meta-date">
						<?php katerina_posted_on(); ?>
					</span>

					<?php if ( ! post_password_required() && comments_open() && get_comments_number() > 0 ) : ?>
					<span class="meta-comments">
						<?php katerina_theme_svg( 'comment' ); ?>
						<a href="#comments"><?php comments_number(); ?></a>
					</span>
					<?php endif; ?>

					<?php if ( $katerina_categories_list && katerina_categorized_blog() ) : ?>
					<span class="meta-categories<?php echo esc_attr( substr_count( $katerina_categories_list, 'rel="category' ) > 4 ? ' more-then-four' : '' ); ?>">
						<?php katerina_theme_svg( 'folder' ); ?>
						<span class="screen-reader-text"><?php esc_html_e( 'Posted in: ', 'katerina' ); ?></span>
						<?php echo wp_kses_post( $katerina_categories_list ); ?>
					</span>
					<?php endif; ?>

					<?php if ( $katerina_tags_list && ! is_wp_error( $katerina_tags_list ) ) : ?>
					<span class="meta-tags<?php echo esc_attr( substr_count( $katerina_tags_list, 'rel="tag' ) > 4 ? ' more-then-four' : '' ); ?>">
						<?php katerina_theme_svg( 'tag' ); ?>
						<span class="screen-reader-text"><?php esc_html_e( 'Tags: ', 'katerina' ); ?></span>
						<?php echo wp_kses_post( $katerina_tags_list ); ?>
					</span>
					<?php endif; ?>
				</div>
			<?php endif; ?>
		</div>
	</header>

	<?php
endif;
