<?php
/**
 * The template for displaying page titles
 */

$content_style = '';
global $wp_query;
if ( $wp_query->is_singular ) {
	$katerina_current_post_id = $wp_query->queried_object_id;
} elseif ( is_home() && ! is_front_page() ) {
	$katerina_current_post_id = get_option( 'page_for_posts' );
} elseif ( class_exists( 'WooCommerce' ) && is_shop() ) {
	$katerina_current_post_id = get_option( 'woocommerce_shop_page_id' );
}

if ( isset( $katerina_current_post_id ) ) {
	$content_style = get_post_meta( $katerina_current_post_id, 'content_style', true );
}
if ( empty( $content_style ) ) :
	?>

	<header id="header-title" class="page-title">
		<div class="wrapper">
			<?php
			if ( is_home() && ! is_front_page() ) {
				?>
				<h1 class="entry-title display"><?php single_post_title(); ?></h1>
				<?php
				$title_tagline = get_post_meta( get_option( 'page_for_posts' ), 'title_tagline', true );
				if ( ! empty( $title_tagline ) ) {
					?>
					<div class="tagline"><?php echo wp_kses_post( do_shortcode( $title_tagline ) ); ?></div>
					<?php
				}
				if ( $paged && $paged > 1 ) :
					?>
					<div class="tagline">
						<?php
						/* translators: 1: page number */
						printf( esc_html__( 'Page %s', 'katerina' ), $paged );
						?>
					</div>
					<?php
				endif;
			} else {
				if ( is_singular() ) {
					the_title( '<h1 class="entry-title display">', '</h1>' );
					$title_tagline = get_post_meta( $post->ID, 'title_tagline', true );
					if ( ! empty( $title_tagline ) ) :
						?>
						<div class="tagline"><?php echo wp_kses_post( do_shortcode( $title_tagline ) ); ?></div>
						<?php
					endif;
					if ( class_exists( 'WooCommerce' ) && is_product() ) {
						$prod = wc_get_product( $post );
						?>
						<div class="entry-header">
							<?php echo wc_get_product_category_list( $prod->get_id(), ', ', '<span class="meta-categories' . ( count( $prod->get_category_ids() ) > 4 ? ' more-then-four' : '' ) . '"><span class="screen-reader-text">' . esc_html__( 'Posted in: ', 'katerina' ) . '</span>' . katerina_get_svg( 'folder' ) . ' ', '</span>' ); ?>

							<?php echo wc_get_product_tag_list( $prod->get_id(), ', ', '<span class="meta-tags' . ( count( $prod->get_tag_ids() ) > 4 ? ' more-then-four' : '' ) . '"><span class="screen-reader-text">' . esc_html__( 'Tags: ', 'katerina' ) . '</span>' . katerina_get_svg( 'tag' ) . ' ', '</span>' ); ?>

							<?php if ( wc_product_sku_enabled() && ( $prod->get_sku() || $prod->is_type( 'variable' ) ) && $prod->get_sku() ) : ?>
								<span class="meta-sku">
									<?php katerina_theme_svg( 'hashtag' ); ?>
									<span class="screen-reader-text"><?php esc_html_e( 'SKU: ', 'katerina' ); ?></span>
									<?php echo wp_kses_post( $prod->get_sku() ); ?>
								</span>
							<?php endif; ?>
						</div>
						<?php
					}
				} elseif ( is_search() ) {
					?>
					<h1 class="entry-title display"><?php esc_html_e( 'Search results', 'katerina' ); ?></h1>
					<div class="tagline">
						<?php
						/* translators: 1: search term */
						printf( esc_html__( 'Looking for the %s term.', 'katerina' ), '<mark>' . get_search_query() . '</mark>' );
						?>
					</div>
					<?php
				} elseif ( class_exists( 'WooCommerce' ) && is_shop() ) {
					?>
					<h1 class="entry-title display"><?php woocommerce_page_title(); ?></h1>
					<?php
					$title_tagline = get_post_meta( $katerina_current_post_id, 'title_tagline', true );
					if ( ! empty( $title_tagline ) ) :
						?>
						<div class="tagline"><?php echo wp_kses_post( do_shortcode( $title_tagline ) ); ?></div>
						<?php
					endif;
					if ( $paged && $paged > 1 ) :
						?>
						<div class="tagline">
							<?php
							/* translators: 1: page number */
							printf( esc_html__( 'Page %s', 'katerina' ), $paged );
							?>
						</div>
						<?php
					endif;
				} elseif ( is_archive() || is_tax( 'post_format' ) || is_post_type_archive() || is_tax() ) {
					the_archive_title( '<h1 class="entry-title display">', '</h1>' );
					if ( get_the_archive_description() ) :
						?>
						<div class="tagline">
							<?php the_archive_description(); ?>
						</div>
						<?php
					endif;
				} else {
					?>
					<h1 class="entry-title display"><?php esc_html_e( 'Latest Posts', 'katerina' ); ?></h1>
					<?php if ( $paged && $paged > 1 ) : ?>
						<div class="tagline">
							<?php
							/* translators: 1: page number */
							printf( esc_html__( 'Page %s', 'katerina' ), $paged );
							?>
						</div>
						<?php
					endif;
				}
			}
			?>
		</div>
	</header>

	<?php
endif;
