<?php
/**
 * Displays color scheme toggle button in the primary navigation.
 */

$show_scheme_icon = false;
$additional_class = '';
if ( is_customize_preview() ) {
	if ( 0 === get_theme_mod( 'allow_alt_colors', 0 ) ) {
		$additional_class = ' screen-reader-text';
	}
	$show_scheme_icon = true;
} else {
	if ( 1 === get_theme_mod( 'allow_alt_colors', 0 ) ) {
		$show_scheme_icon = true;
	}
}
if ( $show_scheme_icon ) : ?>
	<li class="menu-item-scheme<?php echo esc_attr( $additional_class ) ?>">
		<a href="<?php echo esc_url( home_url() ); ?>" title="<?php esc_attr_e( 'Toggle color scheme', 'katerina' ); ?>">
			<?php
			katerina_theme_svg( 'day' );
			katerina_theme_svg( 'night' );
			?>
			<span><?php esc_html_e( 'Toggle color scheme', 'katerina' ); ?></span>
		</a>
	</li>
<?php endif;
