<?php
/**
 * Displays search toggle button in the primary navigation.
 */

$show_search_icon = false;
$additional_class = '';
if ( is_customize_preview() ) {
	if ( 0 === get_theme_mod( 'primary_menu_has_search', 0 ) ) {
		$additional_class = ' screen-reader-text';
	}
	$show_search_icon = true;
} else {
	if ( 1 === get_theme_mod( 'primary_menu_has_search', 0 ) ) {
		$show_search_icon = true;
	}
}
if ( $show_search_icon ) : ?>
	<li class="menu-item-search<?php echo esc_attr( $additional_class ) ?>">
		<a href="<?php echo esc_url( home_url( '/?s=' ) ); ?>" title="<?php esc_attr_e( 'Toggle search', 'katerina' ); ?>">
			<?php
			katerina_theme_svg( 'magnify' );
			katerina_theme_svg( 'close' );
		?>
		</a>
		<?php get_search_form(); ?>
	</li>
<?php endif;
