<?php
/**
 * Template part for displaying page content.
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'entry entry-page' ); ?>>

	<div class="entry-content">
		<?php
		do_action( 'katerina_page_before_content' );

		the_content();
		wp_link_pages(
			array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages', 'katerina' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
			)
		);

		if ( ! get_theme_mod( 'hide_edit_button', false ) ) {
			edit_post_link(
				katerina_get_svg( 'edit' ) . sprintf(
					/* translators: %s: Name of current post */
					__( 'Edit<span class="screen-reader-text"> "%s"</span>', 'katerina' ),
					get_the_title()
				),
				'<p class="edit-link">',
				'</p>',
				'',
				'post-edit-link button button-small'
			);
		}

		// If comments are open or we have at least one comment, load up the comment template.
		if ( comments_open() || get_comments_number() ) {
			comments_template();
		}
		?>
	</div>

</article>
