<?php
/**
 * Template part for displaying additional meta in posts
 */

if ( ! is_single() || post_password_required() || ! get_the_author_meta( 'description' ) ) {
	return;
}

?>
<aside class="author-box">
	<div class="wrapper">
		<figure class="author-box-image">
			<?php
			echo get_avatar(
				get_the_author_meta( 'user_email' ),
				200,
				'',
				'',
				array(
					'height' => 100,
					'width'  => 100,
				)
			);
			?>
		</figure>
		<div class="author-box-content">
			<h4 class="author-box-title"><span><?php esc_html_e( 'Published by', 'katerina' ); ?> <?php the_author_link(); ?></span></h4>
			<div class="author-box-description">
				<?php the_author_meta( 'description' ); ?>
			</div>
			<?php if ( '' !== get_the_author_meta( 'facebook' ) || '' !== get_the_author_meta( 'twitter' ) ) : ?>
				<nav class="social-navigation">
					<ul class="menu">
						<?php if ( '' !== get_the_author_meta( 'facebook' ) ) : ?>
						<li><a href="<?php echo esc_url( get_the_author_meta( 'facebook' ) ); ?>" rel="nofollow" target="_blank"><?php katerina_theme_svg( 'facebook' ); ?><span class="screen-reader-text"><?php esc_html_e( 'Facebook profile', 'katerina' ); ?></span></a></li>
						<?php endif; ?>
						<?php if ( '' !== get_the_author_meta( 'twitter' ) ) : ?>
						<li><a href="<?php echo esc_url( get_the_author_meta( 'twitter' ) ); ?>" rel="nofollow" target="_blank"><?php katerina_theme_svg( 'twitter' ); ?><span class="screen-reader-text"><?php esc_html_e( 'Twitter profile', 'katerina' ); ?></span></a></li>
						<?php endif; ?>
					</ul>
				</nav>
			<?php endif; ?>
		</div>
	</div>
</aside>
